Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Upgradeable_Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR > Class Template Reference

`#include <Upgradeable_Context_Impl_T.h>`

Inheritance diagram for CIAO::Upgradeable_Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >:

[legend]
Collaboration diagram for CIAO::Upgradeable_Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >:

[legend]
List of all members.

## Public Member Functions
| Upgradeable_Context_Impl (Components::CCMHome_ptr home, Session_Container *c, SVNT *sv)
virtual | ~Upgradeable_Context_Impl (void)
virtual void | deactivate_facet (const PortableServer::ObjectId &oid ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | update_port_activator (const PortableServer::ObjectId &oid ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | remove_facet (CORBA::Object_ptr reference ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual ::Components::ConsumerDescriptions * | get_registered_consumers (const char *publisher_name ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw (CORBA::SystemException, ::Components::InvalidName, ::Components::InvalidConnection)
## Protected Types
typedef Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR > | session_context
## Protected Attributes
SVNT * | servant_
COMP_VAR | component_

### template<typename BASE_CTX, typename SVNT, typename COMP, typename COMP_VAR>
class CIAO::Upgradeable_Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >

## Member Typedef Documentation

template<typename BASE_CTX, typename SVNT, typename COMP, typename COMP_VAR>
typedef Context_Impl<BASE_CTX, SVNT, COMP, COMP_VAR> CIAO::Upgradeable_Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >::session_context`[protected]`

## Constructor & Destructor Documentation

template<typename BASE_CTX, typename SVNT, typename COMP, typename COMP_VAR>
CIAO::Upgradeable_Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >::Upgradeable_Context_Impl | ( | Components::CCMHome_ptr | home,
|  | Session_Container * | c,
|  | SVNT * | sv
| ) |

template<typename BASE_CTX, typename SVNT, typename COMP, typename COMP_VAR>
CIAO::Upgradeable_Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >::~Upgradeable_Context_Impl | ( | void |  | ) | `[virtual]`

## Member Function Documentation

template<typename BASE_CTX, typename SVNT, typename COMP, typename COMP_VAR>
void CIAO::Upgradeable_Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >::deactivate_facet | ( | const PortableServer::ObjectId &oid | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

template<typename BASE_CTX, typename SVNT, typename COMP, typename COMP_VAR>
virtual ::Components::ConsumerDescriptions* CIAO::Upgradeable_Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >::get_registered_consumers | ( | const char *publisher_name | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, ::Components::InvalidName, ::Components::InvalidConnection)`[pure virtual]`

template<typename BASE_CTX, typename SVNT, typename COMP, typename COMP_VAR>
void CIAO::Upgradeable_Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >::remove_facet | ( | CORBA::Object_ptr reference | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

template<typename BASE_CTX, typename SVNT, typename COMP, typename COMP_VAR>
void CIAO::Upgradeable_Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >::update_port_activator | ( | const PortableServer::ObjectId &oid | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

template<typename BASE_CTX, typename SVNT, typename COMP, typename COMP_VAR>
COMP_VAR CIAO::Upgradeable_Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >::component_`[protected]`

| Reimplemented from CIAO::Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >.

template<typename BASE_CTX, typename SVNT, typename COMP, typename COMP_VAR>
SVNT* CIAO::Upgradeable_Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >::servant_`[protected]`

| Reimplemented from CIAO::Context_Impl< BASE_CTX, SVNT, COMP, COMP_VAR >.

The documentation for this class was generated from the following files:

- Upgradeable_Context_Impl_T.h
- Upgradeable_Context_Impl_T.cpp